Subject: bug#37875: 27.0.50; `run-with-timer' not documented in (elisp)Timers

From: Michael Heerdegen <[email-masked]>
Date: Wed, 23 Oct 2019 09:01:37 +0200

Phil Sainty <[email-masked]> writes:

> I just noticed that `run-with-timer' is not mentioned anywhere
> in the elisp manual.
>
> (elisp)Timers even mentions `run-with-idle-timer', which also has
> its own node at (elisp)Idle Timers; however `run-with-timer' is
> not pointed out.

It mentions `run-at-time' which is ... quite the same?  I share your
confusion: seems the commands `run-at-time' and `run-with-timer' can be
merged and one can be made an alias for the other.

Michael.